commit:     19cb443fb246734898b6d2e54e0d5f1289b7a4fe
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 13 18:14:32 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Nov 13 18:15:29 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19cb443f

dev-python/xonsh: Version Bump

Package-Manager: portage-2.3.2
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/xonsh/Manifest           |  1 +
 dev-python/xonsh/xonsh-0.4.7.ebuild | 48 +++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/xonsh/Manifest b/dev-python/xonsh/Manifest
index d42b9a5..2d2dbd5 100644
--- a/dev-python/xonsh/Manifest
+++ b/dev-python/xonsh/Manifest
@@ -1,2 +1,3 @@
 DIST xonsh-0.2.6.tar.gz 170842 SHA256 
5d5e8e51331b0c753032d29b74d6af8abb7dda26bec39fd28c579c6ffea2b434 SHA512 
43b034987323b832d052974f02a52ffd492ae4f0fbf6a0a035329000e393c9c9466ee0275cf678db5581e84e627d59bac015ad6131f35bdfbc1374bf4db20977
 WHIRLPOOL 
7d76bad62bd4689c50e9d2067c5bda5f52bfc05d03182336e679a4f984db54bc18e7d26f1c4799a5f46bf57173187c59e3174e3f9ef7b2ab7784a4b6d0781a53
 DIST xonsh-0.4.4.tar.gz 543801 SHA256 
264e4a992ec54fab03ae47e23d83eecf883bd79ee6f6ab8ab6a9b1fd5feb0d4f SHA512 
2cb6b045010b51d1a846625821bb6a8e415cc01f0e623f1ab7efb02ae0debaf9dab1e0bca0d27dd00a320bb1f5d9d001833ecf3a917562b683a7c59a51b8aff0
 WHIRLPOOL 
7ae612b4dbb2b12033ca20417fdd01be21bb0746e14462eed616c6cf195fee5f8422cd737d7f514b727cc469caaa24948aa348f03aca92a10e87b9b350181abc
+DIST xonsh-0.4.7.tar.gz 545249 SHA256 
4038186152cf6181cab08f402a9b9da2d7c67accdf054173b99ac75e03f96011 SHA512 
133a493b1245048e4b8a51f01f0629283736753a7636d8bb0c123b623122b285fed9ba415972e5f44dbb9a1439a83858da50a9b01ebe6bb11e4e390708e08c9f
 WHIRLPOOL 
2c5275091da8f427a2fb19c21a9a31ee69baffd757b7404c9588f6be9a95c5c3d0a6d2c7d7d4af76bd56261864ed30a38f198124c6e6eec2a4b75aa66b8a2376

diff --git a/dev-python/xonsh/xonsh-0.4.7.ebuild 
b/dev-python/xonsh/xonsh-0.4.7.ebuild
new file mode 100644
index 00000000..be7f675
--- /dev/null
+++ b/dev-python/xonsh/xonsh-0.4.7.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{4,5} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="An exotic, usable shell"
+HOMEPAGE="
+       http://xonsh.readthedocs.org/
+       https://github.com/scopatz/xonsh
+       http://pypi.python.org/pypi/xonsh";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+       dev-python/ply[${PYTHON_USEDEP}]
+       dev-python/pygments[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/nose[${PYTHON_USEDEP}]
+       )"
+
+python_prepare_all() {
+       sed \
+               -e 
"/install_jupyter_hook/s:prefix=prefix:prefix=u\"${ED}/usr\":g" \
+               -i setup.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       nosetests --verbose || die
+}
+
+pkg_postinst() {
+       optfeature "Jupyter kernel support" dev-python/jupyter
+       optfeature "Alternative to readline backend" dev-python/prompt_toolkit
+}

Reply via email to